| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::basic_socket_acceptor (1 of 4 overloads)

Construct an acceptor without opening it.

    basic_socket_acceptor(
        boost::asio::io_service & io_service);

This constructor creates an acceptor without opening it to listen for new connections. The open() function must be called before the acceptor can accept new socket connections.

###### Parameters

io_service

  The io_service object that the acceptor will use to dispatch handlers for any asynchronous operations performed on the acceptor.